package com.hw.mes.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 生产计划校验记录对象 mes_material_check_result
 *
 * @author xins
 * @date 2024-02-21
 */
public class MesMaterialCheckResult extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long materialCheckResultId;

    /** 生产计划ID，关联mes_product_plan的plan_id */
    @Excel(name = "生产计划ID，关联mes_product_plan的plan_id")
    private Long planId;

    /** 生产计划明细ID，关联mes_product_plan_detail的plan_detail_id */
    @Excel(name = "生产计划明细ID，关联mes_product_plan_detail的plan_detail_id")
    private Long planDetailId;

    /** 物料ID */
    @Excel(name = "物料ID")
    private Long materialId;

    /** 标准数量 */
    @Excel(name = "标准数量")
    private BigDecimal standardAmount;

    /** 检验数量 */
    @Excel(name = "检验数量")
    private BigDecimal checkAmount;

    /**
     * 校验类型(0不校验,1人工校验,2自动校验)
     */
    private String checkType;

    public void setMaterialCheckResultId(Long materialCheckResultId)
    {
        this.materialCheckResultId = materialCheckResultId;
    }

    public Long getMaterialCheckResultId()
    {
        return materialCheckResultId;
    }
    public void setPlanId(Long planId)
    {
        this.planId = planId;
    }

    public Long getPlanId()
    {
        return planId;
    }
    public void setPlanDetailId(Long planDetailId)
    {
        this.planDetailId = planDetailId;
    }

    public Long getPlanDetailId()
    {
        return planDetailId;
    }
    public void setMaterialId(Long materialId)
    {
        this.materialId = materialId;
    }

    public Long getMaterialId()
    {
        return materialId;
    }
    public void setStandardAmount(BigDecimal standardAmount)
    {
        this.standardAmount = standardAmount;
    }

    public BigDecimal getStandardAmount()
    {
        return standardAmount;
    }
    public void setCheckAmount(BigDecimal checkAmount)
    {
        this.checkAmount = checkAmount;
    }

    public BigDecimal getCheckAmount()
    {
        return checkAmount;
    }

    public String getCheckType() {
        return checkType;
    }

    public void setCheckType(String checkType) {
        this.checkType = checkType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("materialCheckResultId", getMaterialCheckResultId())
            .append("planId", getPlanId())
            .append("planDetailId", getPlanDetailId())
            .append("materialId", getMaterialId())
            .append("standardAmount", getStandardAmount())
            .append("checkAmount", getCheckAmount())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
